# the "stripped" files, i.e. the files containing only lines which are 
# to be translated, are written with the filename prefix stripped_
# to use alternative filename prefixes, edit the content of the curly 
# braces below

set marker {stripped_}


# glob *.* = filename pattern, can be modified, e.g. *.html

set curdir [glob *.* ]


# file names (with path if necessary) are the arguments to the script
# if no arguments (file names), defaults to all files matching the glob pattern
# in the current directory

if { $argc == 0 } { 

set filelist $curdir } else { 

set filelist $argv } 


# list of strings to be matched 
# strings can be modified/new strings added;
# each string within curly braces { };
# escape special characters (e.g. brackets of any kind) with backslash

set rslist [list {.Text = "} {.Caption = "} ]


# line continuation string 
# if the file syntax allows for line breaks, the end of line syntax
# can be used here to indicate that the next line should also be written
# the end-of-line marker ($) itself should *not* be entered in the 
# line continuation string, as it 
# is part of the regexp syntax in the loop
# escape characters where necessary
# to disable the end-of-line function, enter an improbable string 
# between the curly braces

set eolexpr {& _}

# iterates through list of files

foreach arg $filelist {

set vb_file $arg

# opens each file pair for reading and writing

set fhIn [open $vb_file]
set fhOut [open $marker$vb_file {RDWR CREAT}]

# gets each line of each file

while { [gets $fhIn line] >= 0 } {

# searches for regexp matches

foreach rsexpr $rslist {

if { [regexp $rsexpr $line] == 1 } {

# if regexp match is found,
# checks for line continuation marker

if { [regexp $eolexpr$ $line] == 0 } {

# string found but no line continuation marker:
# writes string to output file

puts $fhOut $line } else {

# string found and line continuation marker found:
# keeps writing lines until line continuation 
# marker is no longer found

while { [regexp $eolexpr$ $line] == 1 } {

puts $fhOut $line
gets $fhIn line
puts $fhOut $line 

				}
			}
		}
	}
}


close $fhIn
close $fhOut

}

exit